{
  "schema_version": "1.4.0",
  "id": "GHSA-cfxc-2frq-ppx3",
  "modified": "2022-05-01T07:34:49Z",
  "published": "2022-05-01T07:34:49Z",
  "aliases": [
    "CVE-2006-6120"
  ],
  "details": "Integer overflow in the KPresenter import filter for Microsoft PowerPoint files (filters/olefilters/lib/klaola.cc) in KOffice before 1.6.1 allows user-assisted remote attackers to execute arbitrary code via a crafted PPT file, which results in a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2006-6120"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/30624"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23143"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23162"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23220"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23409"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24218"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200612-05.xml"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1017318"
    },
    {
      "type": "WEB",
      "url": "http://websvn.kde.org/branches/koffice/1.6/koffice/filters/olefilters/lib/klaola.cc?rev=607037&r1=566347&r2=607037"
    },
    {
      "type": "WEB",
      "url": "http://www.kde.org/info/security/advisory-20061204-1.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.koffice.org/announcements/changelog-1.6.1.php"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2006:222"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2006_29_sr.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0010.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/453550/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/21354"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-388-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2006/4771"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2006-12-03T19:28:00Z"
  }
}